Download service
Download the Excel file from a Spark service.
Returns: Excel file.
GET /api/v1/product/{folder}/engines/{service}/download/{versionId}Authorization
Bearer {token}accessible from Authorization - Bearer token or systematically via Client Credentials.The request headers should include a key for
Authorizationwith the valueBearer {token}.
API key created from Authorization - API keys. The API key groups must contain User groups that are also assigned to Permissions - Features permissions
Spark.DownloadServiceByVersionId.jsonorSpark.AllEncompassingProxy.json.The request headers should include the keys
x-synthetic-keyandx-tenant-namewith the values of the API key and tenant name respectively.
Path parameters
folder *
Folder associated with the request.
service *
Service associated with the request.
versionId *
version_id of the Spark service version.
Query parameters
filename
Name of the downloaded file. If not provided, Spark will use an appropriate name.
type
ca returns the Coherent Assistant enhanced version of the workbook. If not provided, the original workbook will be downloaded. See Download the service (Excel file) for an explanation of the differences.
Response
HTTP 200 OK Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
Returns the Excel file.
Last updated
